Subject: Re: EDK10.1 and emaclite

From: Neeraj Garg <[email-masked]>
Date: Tue, 09 Sep 2008 13:55:59 +0530

I am using Emac but the configuration is more or less same for the two.

Look at the messages that I am getting at startup

[    3.225313] xilinx_emac xilinx_emac.0: MAC address is now  0:a0:22: 
1: 1:f2
[    3.264036] XEmac: using fifo mode.
[    3.288583] XEmac: *Detected PHY at address 0, ManufID 0x0040, Rev. 
0x61e4*.
[    3.328138] eth0: Dropping NETIF_F_SG since no checksum feature.
[    3.368685] eth0: Xilinx 10/100 EMAC at 0x11000000 mapped to 
0xC3020000, irq=5
[    3.404090] eth0: XEmac id 1.4a, block id 128, type 1

Points that you cant check

First look at ethernet interface RJ45 connector that power is coming, 
LED should blink.

1) check whether IRQ is right, its zero in your case. If it is right 
then issue ping and read interrupts arriving on your ethernet interface 
(cat /proc/interrupts), If number of interrupts are increasing then its 
sure that your PHY is ok , the problem is with mode selection (10 MBPS, 
or 100 MBPS) if that is the issue let me know , I'll tell you where to 
make changes in driver files.

2) If nothing of the above works then there is problem with PHY address 
detection. You have to look in hardware specification (your hardware 
board ) to find out PHY address.

-------------------------------------------------------------------
Neeraj Garg

Georg Schardt wrote:
> Hi again,
>
> mmh, there is no kernel message with PHY detection, but all PHY 
> drivers are compiled in.
> i looked at my xps project and there is only one ip-core 
> "Ethernet_MAC" with type "xps_ethernetlite".
> is it possible that the phy connection is missing ? i use the base 
> system builder with the board support files supported from avnet.
>
> where can i look for the ethernet speed ? the ethernetlite ip has no 
> speed options
>
> thanks for your help
> georg
>
> Neeraj Garg wrote:
>> Hi Georg,
>>
>> Can you post linux bootup message where its says PHY is detected at 
>> paticular address, and check with your hardware what is actual 
>> address of PHY. Also I would like to know the configuration of your 
>> hardware whether its configured of 10MBPS OR 100MBPS.
>>
>>
>> ------------------------------------------------------------------------------------------ 
>>
>> -- 
>> Neeraj Garg
>>
>>
>>
>> Message: 3
>> Date: Mon, 08 Sep 2008 18:29:53 +0200
>> From: Georg Schardt <[email-masked]>
>> Subject: EDK10.1 and emaclite
>> To: [email-masked]
>> Message-ID: <[email-masked]>
>> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>>
>> Hi all,
>>
>> im trying to use the emaclite core which comes with the EDK10.1 with 
>> the 2.6.26 kernel from git.xilinx.com on virtex4fx12 minimodul. the 
>> emac is detect by the kernel:
>>
>> xilinx_emaclite xilinx_emaclite.0: MAC address is now  2: 0: 0: 0: 0: 0
>> xilinx_emaclite xilinx_emaclite.0: using fifo mode.
>> xilinx_emaclite xilinx_emaclite.0: Xilinx EMACLite at 0x81000000 
>> mapped to 0xC5060000, irq=0
>>
>> i can change the mac-address with ifconfig and i can give an 
>> ip-address to the device,
>> but a ping is not possible and arp is not working. i think that the 
>> phy is not working right.
>>
>> has someone others the same problem ? what can i changed ? i have 
>> tried out all possible phy driver in the linux  kernel
>>
>> a setup with the lltemac is working fine, but i want to use the emaclite
>>
>> thanks
>> regards
>> georg
>>